NX Open C++ Reference Guide
|
Represents a list of objects on a selection list. More...
Public Member Functions | |
bool | Add (NXOpen::ICurve *object) |
Adds an object to the list. | |
bool | Add (const std::vector< NXOpen::ICurve * > &objects) |
Adds a set of objects to the list. | |
bool | Add (NXOpen::SelectionMethod *inputSelectionMethod) |
Adds the objects from a SelectionMethod to the list. | |
bool | Add (NXOpen::ICurve *selection, NXOpen::View *view, const NXOpen::Point3d &point) |
Adds the object with the objects view and objects point. | |
bool | Add (NXOpen::InferSnapType::SnapType snapType, NXOpen::ICurve *selection1, NXOpen::View *view1, const NXOpen::Point3d &point1, NXOpen::ICurve *selection2, NXOpen::View *view2, const NXOpen::Point3d &point2) |
The object being selected with the objects view and objects point and snap information. | |
bool | Add (NXOpen::ICurve *selection, NXOpen::CaeObjectType::CaeSubType caeSubType, int caeSubId) |
The object being selected with CAE set object information. | |
void | Clear () |
Removes all items from the list. | |
bool | Contains (NXOpen::ICurve *object) |
Returns whether the specified object is already in the list or not. | |
bool | DuplicatesAllowed () |
Returns whether duplicate objects are allowed in the selection list. | |
std::vector< NXOpen::ICurve * > | GetArray () |
Returns the list of objects in the selection list. | |
std::vector < NXOpen::SelectObject * > | GetSelectObjectArray () |
Returns the list of SelectObjects in the selection list. | |
bool | Remove (NXOpen::ICurve *object) |
Remove specified object from list. | |
bool | Remove (NXOpen::ICurve *object, NXOpen::View *view) |
Remove specified object from list. | |
bool | Remove (NXOpen::InferSnapType::SnapType snapType, NXOpen::ICurve *selection1, NXOpen::View *view1, const NXOpen::Point3d &point1, NXOpen::ICurve *selection2, NXOpen::View *view2, const NXOpen::Point3d &point2) |
Remove specified object from list. | |
bool | Remove (NXOpen::SelectionMethod *inputSelectionMethod) |
Removes the objects from a SelectionMethod from the list. | |
bool | RemoveArray (const std::vector< NXOpen::ICurve * > &objects) |
Remove specified objects from list. | |
void | SetArray (const std::vector< NXOpen::ICurve * > &objects) |
Sets the list of objects in the selection list. | |
int | Size () |
Returns the number of objects in the list. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a list of objects on a selection list.
Created in NX5.0.0.
bool NXOpen::SelectICurveList::Add | ( | NXOpen::ICurve * | object | ) |
Adds an object to the list.
@return True if succesully added to list; False if the object was already a member of the list and duplicates are not allowed
Created in NX5.0.0.
License requirements : None
object | object to add |
bool NXOpen::SelectICurveList::Add | ( | const std::vector< NXOpen::ICurve * > & | objects | ) |
Adds a set of objects to the list.
@return True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
Created in NX5.0.0.
License requirements : None
objects | objects to add |
bool NXOpen::SelectICurveList::Add | ( | NXOpen::SelectionMethod * | inputSelectionMethod | ) |
Adds the objects from a SelectionMethod to the list.
@return True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
Created in NX6.0.0.
License requirements : None
inputSelectionMethod | selection method containing objects to add |
bool NXOpen::SelectICurveList::Add | ( | NXOpen::ICurve * | selection, |
NXOpen::View * | view, | ||
const NXOpen::Point3d & | point | ||
) |
Adds the object with the objects view and objects point.
@return True if succesully added to list; False if the object was already a member of the list and duplicates are not allowed
Created in NX5.0.0.
License requirements : None
selection | selected object |
view | selected object view |
point | selected object point |
bool NXOpen::SelectICurveList::Add | ( | NXOpen::InferSnapType::SnapType | snapType, |
NXOpen::ICurve * | selection1, | ||
NXOpen::View * | view1, | ||
const NXOpen::Point3d & | point1, | ||
NXOpen::ICurve * | selection2, | ||
NXOpen::View * | view2, | ||
const NXOpen::Point3d & | point2 | ||
) |
The object being selected with the objects view and objects point and snap information.
@return True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
Created in NX5.0.0.
License requirements : None
snapType | snap point type |
selection1 | first selected object |
view1 | first selected object view |
point1 | first selected object point |
selection2 | second selected object |
view2 | second selected object view |
point2 | second selected object point |
bool NXOpen::SelectICurveList::Add | ( | NXOpen::ICurve * | selection, |
NXOpen::CaeObjectType::CaeSubType | caeSubType, | ||
int | caeSubId | ||
) |
The object being selected with CAE set object information.
@return True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
Created in NX5.0.0.
License requirements : None
void NXOpen::SelectICurveList::Clear | ( | ) |
Removes all items from the list.
Created in NX5.0.0.
License requirements : None
bool NXOpen::SelectICurveList::Contains | ( | NXOpen::ICurve * | object | ) |
Returns whether the specified object is already in the list or not.
@return true if object is in the list, false otherwise
Created in NX5.0.0.
License requirements : None
object | object to check |
bool NXOpen::SelectICurveList::DuplicatesAllowed | ( | ) |
Returns whether duplicate objects are allowed in the selection list.
Created in NX5.0.0.
License requirements : None
std::vector<NXOpen::ICurve *> NXOpen::SelectICurveList::GetArray | ( | ) |
Returns the list of objects in the selection list.
@return items in list
Created in NX5.0.0.
License requirements : None
std::vector<NXOpen::SelectObject *> NXOpen::SelectICurveList::GetSelectObjectArray | ( | ) |
Returns the list of SelectObjects in the selection list.
@return items in list
Created in NX5.0.0.
License requirements : None
bool NXOpen::SelectICurveList::Remove | ( | NXOpen::ICurve * | object | ) |
Remove specified object from list.
@return True if succesully removed from list; False if the object was not a member of the list
Created in NX5.0.0.
License requirements : None
object | Object to remove |
bool NXOpen::SelectICurveList::Remove | ( | NXOpen::ICurve * | object, |
NXOpen::View * | view | ||
) |
Remove specified object from list.
@return True if succesully removed from list; False if the object / view was not a member of the list
Created in NX6.0.0.
License requirements : None
object | Object to remove |
view | with this view |
bool NXOpen::SelectICurveList::Remove | ( | NXOpen::InferSnapType::SnapType | snapType, |
NXOpen::ICurve * | selection1, | ||
NXOpen::View * | view1, | ||
const NXOpen::Point3d & | point1, | ||
NXOpen::ICurve * | selection2, | ||
NXOpen::View * | view2, | ||
const NXOpen::Point3d & | point2 | ||
) |
Remove specified object from list.
@return True if succesully removed from list; False if the object was not a member of the list
Created in NX6.0.0.
License requirements : None
snapType | snap point type |
selection1 | first selected object |
view1 | first selected object view |
point1 | first selected object point |
selection2 | second selected object |
view2 | second selected object view |
point2 | second selected object point |
bool NXOpen::SelectICurveList::Remove | ( | NXOpen::SelectionMethod * | inputSelectionMethod | ) |
Removes the objects from a SelectionMethod from the list.
@return True if succesully removed all objects from the list; False if there was at least one object that was not a member of the list
Created in NX6.0.0.
License requirements : None
inputSelectionMethod | selection method containing objects to add |
bool NXOpen::SelectICurveList::RemoveArray | ( | const std::vector< NXOpen::ICurve * > & | objects | ) |
Remove specified objects from list.
@return True if succesully removed from list; False if the object was not a member of the list
Created in NX5.0.0.
License requirements : None
objects | Objects to remove |
void NXOpen::SelectICurveList::SetArray | ( | const std::vector< NXOpen::ICurve * > & | objects | ) |
Sets the list of objects in the selection list.
This will clear any existing items in the list.
Created in NX5.0.0.
License requirements : None
objects | items to put in the list |
int NXOpen::SelectICurveList::Size | ( | ) |
Returns the number of objects in the list.
Created in NX5.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.